> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create account connection

> Stores connection credentials for later use in preview and sync.



## OpenAPI

````yaml /api-reference/data-api.json post /v2/account-connections
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/account-connections:
    post:
      tags:
        - Account Connections
      summary: Create account connection
      description: Stores connection credentials for later use in preview and sync.
      operationId: createConnection
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountConnectionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountConnectionDto'
components:
  schemas:
    CreateAccountConnectionDto:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - utila
            - kraken
            - plaid
            - squads
            - coinbase
            - realms
            - wise
            - safe
            - hyperliquid
            - cubist
            - anchorage
            - privy
            - dfns
        utila:
          $ref: '#/components/schemas/CreateAccountConnectionUtilaCredentialsDto'
        kraken:
          $ref: '#/components/schemas/CreateAccountConnectionKrakenCredentialsDto'
        plaid:
          $ref: '#/components/schemas/CreateAccountConnectionPlaidCredentialsDto'
        squads:
          $ref: '#/components/schemas/CreateAccountConnectionSquadsCredentialsDto'
        coinbase:
          $ref: '#/components/schemas/CreateAccountConnectionCoinbaseCredentialsDto'
        realms:
          $ref: '#/components/schemas/CreateAccountConnectionRealmsCredentialsDto'
        safe:
          $ref: '#/components/schemas/CreateAccountConnectionSafeCredentialsDto'
        wise:
          $ref: '#/components/schemas/CreateAccountConnectionWiseCredentialsDto'
        hyperliquid:
          $ref: >-
            #/components/schemas/CreateAccountConnectionHyperliquidCredentialsDto
        cubist:
          $ref: '#/components/schemas/CreateAccountConnectionCubistCredentialsDto'
        anchorage:
          $ref: '#/components/schemas/CreateAccountConnectionAnchorageCredentialsDto'
        privy:
          $ref: '#/components/schemas/CreateAccountConnectionPrivyCredentialsDto'
        dfns:
          $ref: '#/components/schemas/CreateAccountConnectionDfnsCredentialsDto'
      required:
        - name
        - type
    AccountConnectionDto:
      type: object
      properties:
        id:
          type: string
          example: conn_abc123
        name:
          type: string
          example: My Utila Account
        type:
          type: string
          example: utila
          enum:
            - utila
            - kraken
            - plaid
            - squads
            - coinbase
            - realms
            - wise
            - safe
            - hyperliquid
            - cubist
            - anchorage
            - privy
            - dfns
        public_data:
          type: object
          description: Non-sensitive public metadata
          additionalProperties: true
          example:
            public_key: pk_abc123
        created_at:
          format: date-time
          type: string
          example: '2026-01-01T00:00:00.000Z'
        updated_at:
          format: date-time
          type: string
          example: '2026-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - type
        - public_data
        - created_at
        - updated_at
    CreateAccountConnectionUtilaCredentialsDto:
      type: object
      properties:
        service_account_email:
          type: string
      required:
        - service_account_email
    CreateAccountConnectionKrakenCredentialsDto:
      type: object
      properties:
        api_key:
          type: string
        api_secret:
          type: string
      required:
        - api_key
        - api_secret
    CreateAccountConnectionPlaidCredentialsDto:
      type: object
      properties:
        public_token:
          type: string
      required:
        - public_token
    CreateAccountConnectionSquadsCredentialsDto:
      type: object
      properties:
        address:
          type: string
      required:
        - address
    CreateAccountConnectionCoinbaseCredentialsDto:
      type: object
      properties:
        key_id:
          type: string
        private_key:
          type: string
      required:
        - key_id
        - private_key
    CreateAccountConnectionRealmsCredentialsDto:
      type: object
      properties:
        address:
          type: string
      required:
        - address
    CreateAccountConnectionSafeCredentialsDto:
      type: object
      properties:
        address:
          type: string
          example: 0xAbCd...1234
          description: EVM Safe address
        network:
          type: string
          example: ethereum
          enum:
            - ethereum
            - arbitrum
            - base
            - optimism
            - polygon
            - bnb
      required:
        - address
        - network
    CreateAccountConnectionWiseCredentialsDto:
      type: object
      properties:
        api_token:
          type: string
        profile_id:
          type: string
      required:
        - api_token
        - profile_id
    CreateAccountConnectionHyperliquidCredentialsDto:
      type: object
      properties:
        address:
          type: string
      required:
        - address
    CreateAccountConnectionCubistCredentialsDto:
      type: object
      properties:
        login_id:
          type: string
        refresh_token:
          type: string
        org_id:
          type: string
        environment:
          type: object
          enum:
            - gamma
            - prod
    CreateAccountConnectionAnchorageCredentialsDto:
      type: object
      properties:
        api_access_key:
          type: string
      required:
        - api_access_key
    CreateAccountConnectionPrivyCredentialsDto:
      type: object
      properties:
        app_id:
          type: string
        app_secret:
          type: string
      required:
        - app_id
        - app_secret
    CreateAccountConnectionDfnsCredentialsDto:
      type: object
      properties:
        token:
          type: string
          description: Dfns service account token
        base_url:
          type: string
          example: https://api.dfns.io
          description: >-
            Dfns API host. Must be an official Dfns cluster: https://api.dfns.io
            (default) or https://api.uae.dfns.io for UAE-hosted orgs.
      required:
        - token
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````